Workspace User
User object
- activebooleanPublic Preview
If this user is active
- displayNamestringPublic Preview
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of objectPublic Preview
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystringPublic Preview
- primarybooleanPublic Preview
- $refstringPublic Preview
- typestringPublic Preview
- valuestringPublic Preview
- entitlementsarray of objectPublic Preview
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystringPublic Preview
- primarybooleanPublic Preview
- $refstringPublic Preview
- typestringPublic Preview
- valuestringPublic Preview
- externalIdstring<= 64 charactersPublic Preview
External ID is not currently supported. It is reserved for future use.
- groupsarray of objectPublic Preview
Show child attributesHide child attributes
- displaystringPublic Preview
- primarybooleanPublic Preview
- $refstringPublic Preview
- typestringPublic Preview
- valuestringPublic Preview
- idstringint64Public Preview
<Databricks> user ID.
- nameobjectPublic Preview
Show child attributesHide child attributes
- familyNamestringPublic Preview
Family name of the <Databricks> user.
- givenNamestringPublic Preview
Given name of the <Databricks> user.
- rolesarray of objectPublic Preview
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystringPublic Preview
- primarybooleanPublic Preview
- $refstringPublic Preview
- typestringPublic Preview
- valuestringPublic Preview
- schemasarray of stringPublic Preview
The schema of the user.
USER_SCHEMA_UNSPECIFIEDurn:ietf:params:scim:schemas:core:2.0:Userurn:ietf:params:scim:schemas:extension:workspace:2.0:User
- userNamestringemailPublic Preview
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Get user details Public Preview
GET
Gets information for a specific user in <Databricks> workspace.
API scopes: scim
Parameters
- idstringint64Requiredpath
Unique ID for a user in the <Databricks> workspace.
- attributesstringquery
Comma-separated list of attributes to return in response.
- countint32query
Desired number of results per page.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "john" and userName co "doe": Users whose displayName contains john and userName contains doe.displayName co "doe": Users whose displayName contains doe.displayName eq "john": Users whose displayName equals john.displayName ne "john": Users whose displayName not equals john.displayName co "john" or userName co "doe": Users whose displayName contains john or userName contains doe.displayName sw "jo": Users whose displayName starts with jo.
- sortBystringquery
Attribute to sort the results. Multi-part paths are supported. For example,
userName,name.givenName, andemails.
- sortOrderstringquery
The order to sort the results.
GET_SORT_ORDER_UNSPECIFIEDascendingdescending
- startIndexint32query
Specifies the index of the first result. First item is number 1.
Response
Returns the User object.
List users Public Preview
GET
Gets details for all the users associated with a <Databricks> workspace.
API scopes: scim
Parameters
- attributesstringquery
Comma-separated list of attributes to return in response.
- countint64<= 100query
Desired number of results per page.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "john" and userName co "doe": Users whose displayName contains john and userName contains doe.displayName co "doe": Users whose displayName contains doe.displayName eq "john": Users whose displayName equals john.displayName ne "john": Users whose displayName not equals john.displayName co "john" or userName co "doe": Users whose displayName contains john or userName contains doe.displayName sw "jo": Users whose displayName starts with jo.
- sortBystringquery
Attribute to sort the results. Multi-part paths are supported. For example,
userName,name.givenName, andemails.
- sortOrderstringquery
The order to sort the results.
ORDER_UNSPECIFIEDascendingdescending
- startIndexint64query
Specifies the index of the first result. First item is number 1.
Response
Returns a list of User objects.
Create a new user Public Preview
POST
Creates a new user in the <Databricks> workspace. This new user will also be added to the <Databricks> account.
API scopes: scim
Request body
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstringint64
<Databricks> user ID.
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
USER_SCHEMA_UNSPECIFIEDurn:ietf:params:scim:schemas:core:2.0:Userurn:ietf:params:scim:schemas:extension:workspace:2.0:User
- userNamestringemail
Email address of the <Databricks> user.
Response
Returns the User object.
Replace a user Public Preview
PUT
Replaces a user's information with the data supplied in request.
The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).
API scopes: scim
Parameters
- idstringint64Requiredpath
<Databricks> user ID.
Request body
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
USER_SCHEMA_UNSPECIFIEDurn:ietf:params:scim:schemas:core:2.0:Userurn:ietf:params:scim:schemas:extension:workspace:2.0:User
- userNamestringemail
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Delete a user Public Preview
Update user details Public Preview
PATCH
Partially updates a user resource by applying the supplied operations on specific user attributes.
The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).
API scopes: scim
Parameters
- idstringint64Requiredpath
Unique ID in the <Databricks> workspace.
Request body
- Operationsarray of object
Show child attributesHide child attributes
- opstring
Type of patch operation.
PATCH_OP_UNSPECIFIEDaddremovereplace
- pathstring
Selection of patch operation
- valueobject
Value to modify
- schemasarray of string
The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].
PATCH_SCHEMA_UNSPECIFIEDurn:ietf:params:scim:api:messages:2.0:PatchOp